% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/a4aGr-methods.R
\docType{methods}
\name{mvrnorm for a4aGR}
\alias{mvrnorm for a4aGR}
\alias{mvrnorm,numeric,a4aGr-method}
\alias{mvrnorm,numeric,a4aGr,ANY,ANY,ANY,ANY-method}
\title{mvrnorm}
\usage{
\S4method{mvrnorm}{numeric,a4aGr,ANY,ANY,ANY,ANY}(n = 1, mu)
}
\arguments{
\item{n}{the number of simulations to be generated}

\item{mu}{an \code{a4aGr} object}
}
\value{
an \code{a4aGr} object with n iterations
}
\description{
Method to generate multivariate normal parameters for \code{a4aGr} objects.
}
\examples{
mm <- matrix(NA, ncol=3, nrow=3)
diag(mm) <- c(50, 0.001,0.001)
mm[upper.tri(mm)] <- mm[lower.tri(mm)] <- c(0.1,0.01,0.00004)
md <- ~linf*(1-exp(-k*(t-t0)))
imd <- ~t0-1/k*log(1-len/linf)
prs <- FLPar(linf=58.5, k=0.086, t0=0.001, units=c("cm","yr^-1","yr"))
vbObj <- a4aGr(grMod=md, grInvMod=imd, params=prs, vcov=mm, distr="norm")
vbObj <- mvrnorm(100,vbObj)
}
